Goal: All completed GSoC and Outreachy projects have code merged and deployed by September
Closed, ResolvedPublic

Description

Part of T101100: Engineering Community quarterly goals for July-September 2015

Results

Completed

From the 9 projects that passed the mid-term evaluation, 6 are merged and deployed, and 3 are fully functional and showcased in Labs as planned (blog post with details)

  • Hall of Fame: (see the table below) + 18 mentors.
  • @NiharikaKohli (former intern, from India) started as stellar volunteer org admin and is now a contractor at the Community-Tech team.
  • @ferdbold (Frédéric Bolduc, from Canada) is now a contractor at the VisualEditor team.

Previous description

All projects should ideally successfully pass the mid-term and end-term evaluations.

Mid-term evaluation week: 26 June - 3 July

End-term evaluation week: 21 August - 28 August

Criteria for successful mid-term evaluations:

  • Mid-term goals as per project plan (proposed in project task) completed
  • MVP/Demo project complete and hosted on Labs/elsewhere
  • Weekly logs in-place and up to date
  • On satisfactory terms with mentors (regular meetings)

Criteria for successful end-term evaluations:

  • All goals listed in the project plan completed
  • Project code merged or on the verge on merging
  • Weekly logs in-place and up to date
  • On satisfactory terms with mentors (regular meetings)

Measurement of success

All the GSoC and Outreachy interns that pass the program in August have their code reviewed and deployed by the end of September.

Dependencies

ETA

DevRel-September-2015

Relation with WMF Call to Action

STRENGTHEN: improve technology & execution

Related Objects

StatusAssignedTask
Resolvedpolybuildr
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedNiharika
ResolvedNiharika
Resolved yuvipanda
ResolvedJdlrobson
Resolvedjayvdb
Resolved01tonythomas
Resolvedjayvdb
ResolvedDicortazar
ResolvedYaron_Koren
ResolvedMooeypoo
ResolvedAmire80
ResolvedNemo_bis
ResolvedNiharika
Resolved yuvipanda
ResolvedJdlrobson
Resolvedjayvdb
Resolved01tonythomas
Resolvedjayvdb
ResolvedYaron_Koren
Resolvedpolybuildr
ResolvedMooeypoo
ResolvedAmire80
ResolvedAnkita-ks
ResolvedNemo_bis
ResolvedNiharika
ResolvedSitic
ResolvedSumit
Resolvedhappy5214
ResolvedTinaj1234
ResolvedVcamX
Resolvedpolybuildr
Resolved ferdbold
ResolvedAnkita-ks
ResolvedPhoenix303
ResolvedNiharika
ResolvedNiharika
Niharika created this task.Jun 4 2015, 1:56 PM
Niharika updated the task description. (Show Details)
Niharika raised the priority of this task from to Normal.
Niharika claimed this task.
Niharika moved this task to Organization on the Google-Summer-of-Code (2015) board.
Niharika added a subscriber: Niharika.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 1:56 PM
Niharika updated the task description. (Show Details)Jun 4 2015, 2:03 PM
Niharika set Security to None.
Sitic added a subscriber: Sitic.Jun 4 2015, 3:56 PM
Qgil added a subscriber: Qgil.Jun 4 2015, 8:43 PM

What about something a bit more ambitious, like all GSoC & Outreachy projects have their code merged and deployed by the end of September? This implies PASS in mid-term and final evaluations, and it is the real evaluation (in the past we got plenty of projects PASS that then didn't end up in anything concrete. Turns out some mentors are softer than others.

@Qgil, I was actually aiming to have all projects have their code merged and deployed by end of August itself. That is what I meant by:

  • Project code merged or on the verge on merging

I don't believe more than two/three students will actually stick around once GSoC ends. If code being merged before final evaluations is a hard requirement, we might see some improvement in how the projects wrap-up. What do you think? Too ambitious?

Qgil added a comment.Jun 5 2015, 8:11 AM

I would say: you pursue this goal by August 28, but let's have the ECT team goal by the end of September. Code review might be delayed ecause of factors external to the students i.e. busy mentors / maintainers. Also note that in quarterly reviews, goals are either green or red. It would be silly to get a red just because the of the time pressure we put on ourselves.

Niharika renamed this task from Goal: Successful mid-term and end-term evaluations for all GSoC and Outreachy projects to Goal: Successful mid-term and end-term evaluations for all GSoC and Outreachy projects, with code merged and deployed by September.Jun 5 2015, 8:43 AM
Qgil added a comment.Jun 10 2015, 10:29 AM

@NiharikaKohli, I think we should not commit to "Successful mid-term and end-term evaluations for all GSoC and Outreachy projects", because it is totally out of our control. Almost all rounds have interns not completing their projects for whatever reason that us org admins or the mentors cannot prevent.

I'd rather focus on the interns that pass the evaluation, assuring that either the mentors consider that a project passes and then they push it through review and deployment, or they don't pass the intern after a fair evaluation. The definition of "Successful mid-term and end-term evaluations" should be that all projects receive a fair evaluation, not that all pass.

Proposal:

Goal: All completed GSoC and Outreachy projects have code merged and deployed by September

Measurement of success

  • All the GSoC and Outreachy interns that pass the program in August have their code reviewed and deployed by the end of September.
Niharika renamed this task from Goal: Successful mid-term and end-term evaluations for all GSoC and Outreachy projects, with code merged and deployed by September to Goal: All completed GSoC and Outreachy projects have code merged and deployed by September.Jun 10 2015, 2:33 PM
Niharika updated the task description. (Show Details)

@Qgil, done. By successful evaluation I did mean that the evaluations go through, irrespective of pass or fail. Guess I worded that incorrectly.

Qgil added a comment.Jun 18 2015, 6:54 AM

GSoC's mid-term evaluation period goes from Friday, 26 June to Friday, 3 July. Should we repeat the exercise we did for bonding period review, having specific tasks for all projects including the checklist with Criteria for successful mid-term evaluations? I think so...

We need to start soon, in order to assure that proper evaluations are taking place, and giving some margin to students closer to failing than to passing. Mentors also need to understand that this is an important evaluation, and if a student hasn't been following properly until now, experience tells that it is probably better to be frank and not pass them.

As org admins, Niharika and me should also put special attention to these reviews, in the context of this goal. Patterns to avoid (and that we have seen in the past) include not only students slacking but being passed by benevolent mentors, also students caught by surprise for not being passed, since they had not received any prior feedback from their mentors in that direction (usually because there is no ongoing communication, etc). Weekly reports and the mid-term evaluation checklist should be useful to act with fairness in all cases.

Qgil moved this task from Backlog to Doing on the ECT-July-2015 board.Jul 29 2015, 9:16 AM
Niharika updated the task description. (Show Details)Aug 20 2015, 3:46 AM
Niharika updated the task description. (Show Details)Aug 20 2015, 10:16 AM
Niharika updated the task description. (Show Details)Sep 14 2015, 1:52 PM
Qgil updated the task description. (Show Details)Sep 14 2015, 2:11 PM
Qgil added a comment.Sep 14 2015, 2:14 PM

I have added N/A to two projects that didn't plan to deploy to production in the first place, linking to their extension pages.

Qgil moved this task from Backlog to Doing on the DevRel-September-2015 board.Sep 15 2015, 6:23 AM

After asking at T89107#1640455, I think that project is also completed within the framework of GSoC, and we can tag it as N/A in the table above.

IRC wrap-up and blog post is all what is left here. Two weeks to go. :)

Qgil updated the task description. (Show Details)Sep 15 2015, 6:27 AM
Qgil updated the task description. (Show Details)Oct 1 2015, 3:51 PM
Qgil closed this task as Resolved.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: ferdbold.
Qgil added a comment.Oct 1 2015, 3:54 PM

Congratulations! You made it, the best GSoC/Outreachy round in terms of project performance. We had never achieved having all projects merged in production or in Labs, fully functional. Post-interns and mentors, you will give a hard time to the participants in future rounds. :)

I think this calls for a meme
Macro votecat: